Delete Dataset

DELETE
https://api.woosmap.com/datasets/{dataset_id}

Schedule a dataset for deletion, deletion will happen in 7 days.

Rate limit: 1/1s

Ratelimit: 1/1s

Authorization

private_key
apiKey query

Private key with write permission. Must stay private.

X-Api-Key
apiKey header

Private key with write permission. Must stay private.

Path Parameters

dataset_id
string required

Response

200 application/json

Successful Response

No properties defined

Errors

401

Unable to locate credentials.

application/json
detail
string required
402

Out of free quota.

application/json
detail
string required
403

Credentials found, but not matching.

application/json
detail
string required
404

Dataset was not found

application/json
details
string required
409

The Dataset was already scheduled for deletion.

application/json
details
string required
422

Validation Error

application/json
detail
object[]
Show 3 propertiesHide 3 properties
detail. loc
any[] required
detail. msg
string required
detail. type
string required
429

Rate limit reached

application/json
details
string required
        curl -L -X DELETE 'https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0?private_key=YOUR_PRIVATE_API_KEY'

    
        const requestOptions = {
  method: "DELETE",
  redirect: "follow"
};

fetch("https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0?private_key=YOUR_PRIVATE_API_KEY", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));

    
        import requests

url = "https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0?private_key=YOUR_PRIVATE_API_KEY"

payload = {}
headers = {}

response = requests.request("DELETE", url, headers=headers, data=payload)

print(response.text)


    
Was this helpful?